boost::geometry::strategy::distance Namespace Reference

## Namespaces

namespace | services
namespace | comparable

## Classes

class | cross_track
| Strategy functor for distance point to segment calculation. More...
class | cross_track_point_box
| Strategy functor for distance point to box calculation. More...
class | haversine
| Distance calculation for spherical coordinates on a perfect sphere using haversine. More...
class | projected_point
| Strategy for distance point to segment. More...
class | pythagoras
| Strategy to calculate the distance between two points. More...
class | pythagoras_box_box
| Strategy to calculate the distance between two boxes. More...
class | pythagoras_point_box
| Strategy to calculate the distance between a point and a box. More...

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK